/* License. */
/*  */
/* divfunc.h */
/*  */
/* This file provides a triangle sub-divider. */



#if !defined( USE_FLT ) && !defined( USE_DBL ) && !defined( USE_LDBL )

# error "divfunc.h requires the macro USE_FLT, USE_DBL, or USE_LDBL to be defined."

#elif !defined( DIVFUNCDATA ) || !defined( DIVFUNC ) || !defined( TERMFUNC )

# error "divfunc.h requires the macros DIVFUNCDATA, DIVFUNC, and TERMFUNC to all be defined."

#else



# include "geo_code.h"



int DIVFUNC ( DIVFUNCDATA data,  TRI *a, TRI *b, VS *c );



#endif
/* End divfunc.h */
